package com.dbnt.faisp.main.codeMgt.repository;

import com.dbnt.faisp.main.codeMgt.model.CodeMgt;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;


public interface CodeMgtRepository extends JpaRepository<CodeMgt, CodeMgt.CodeMgtId> {

  List<CodeMgt> findByCategoryCdOrderByItemCdAsc(String categoryCd);
  List<CodeMgt> findByCategoryCdAndUseChkOrderByItemCdAsc(String categoryCd, String useChk);
  Optional<CodeMgt> findByCategoryCdAndItemValue(String categoryCd, String itemValue);
  List<CodeMgt> findByUseChkOrderByItemCdAsc(String useChk);
  List<CodeMgt> findByOrderByItemCdAsc();
}
